MxUtil (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.jmx.MxUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MxUtil

    java.lang.Object
      org.hyperic.hq.product.jmx.MxUtil

    public class MxUtil

extends java.lang.Object

Field Summary
`static java.lang.String` | `PROP_JMX_PASSWORD`
`static java.lang.String` | `PROP_JMX_PORT`
`static java.lang.String` | `PROP_JMX_PROVIDER_PKGS`
`static java.lang.String` | `PROP_JMX_URL`
`static java.lang.String` | `PROP_JMX_USERNAME`

Constructor Summary
`MxUtil()`

Method Summary
`static javax.management.remote.JMXConnector` | `getMBeanConnector(java.util.Properties config)`
`static javax.management.MBeanServerConnection` | `getMBeanServer(java.util.Properties config)`
`static java.lang.Object` | `getValue(java.util.Properties config, java.lang.String objectName, java.lang.String attribute)`
`static java.lang.Object` | `invoke(java.util.Properties config, java.lang.String objectName, java.lang.String method, java.lang.Object[] args, java.lang.String[] sig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_JMX_URL

    public static final java.lang.String PROP_JMX_URL

See Also:
  Constant Field Values

### PROP_JMX_PORT

    public static final java.lang.String PROP_JMX_PORT

See Also:
  Constant Field Values

### PROP_JMX_USERNAME

    public static final java.lang.String PROP_JMX_USERNAME

See Also:
  Constant Field Values

### PROP_JMX_PASSWORD

    public static final java.lang.String PROP_JMX_PASSWORD

See Also:
  Constant Field Values

### PROP_JMX_PROVIDER_PKGS

    public static final java.lang.String PROP_JMX_PROVIDER_PKGS

See Also:
  Constant Field Values

Constructor Detail

### MxUtil

    public MxUtil()

Method Detail

### getMBeanConnector

    public static javax.management.remote.JMXConnector getMBeanConnector(java.util.Properties config)
                                                                  throws java.net.MalformedURLException,
                                                                         java.io.IOException

  Throws:
    `java.net.MalformedURLException`
    `java.io.IOException`

### getMBeanServer

    public static javax.management.MBeanServerConnection getMBeanServer(java.util.Properties config)
                                                                 throws java.net.MalformedURLException,
                                                                        java.io.IOException

  Throws:
    `java.net.MalformedURLException`
    `java.io.IOException`

### getValue

    public static java.lang.Object getValue(java.util.Properties config,
                                            java.lang.String objectName,
                                            java.lang.String attribute)
                                     throws java.net.MalformedURLException,
                                            javax.management.MalformedObjectNameException,
                                            java.io.IOException,
                                            javax.management.MBeanException,
                                            javax.management.AttributeNotFoundException,
                                            javax.management.InstanceNotFoundException,
                                            javax.management.ReflectionException,
                                            PluginException

  Throws:
    `java.net.MalformedURLException`
    `javax.management.MalformedObjectNameException`
    `java.io.IOException`
    `javax.management.MBeanException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `PluginException`

### invoke

    public static java.lang.Object invoke(java.util.Properties config,
                                          java.lang.String objectName,
                                          java.lang.String method,
                                          java.lang.Object[] args,
                                          java.lang.String[] sig)
                                   throws MetricUnreachableException,
                                          MetricNotFoundException,
                                          PluginException

  Throws:
    `MetricUnreachableException`
    `MetricNotFoundException`
    `PluginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.